Package groovy.lang

# Class PropertyValue

java.lang.Object
groovy.lang.PropertyValue

public class PropertyValue extends Object

## Constructor Summary

Constructors
Constructor
Description
`PropertyValue(Object bean, MetaProperty mp)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`Class`
`getType()`
`Object`
`getValue()`
`void`
`setValue(Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyValue

public PropertyValue(Object bean, MetaProperty mp)

## Method Details

### getName

public String getName()

### getType

public Class getType()

### getValue

public Object getValue()

### setValue

public void setValue(Object value)